import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, i) : t, s = p.length - 1, o; s >= 0; s--)
    (o = p[s]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && m(t, i, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--alertCircleFilled", this.class = "c-pieIcon c-pieIcon--alertCircleFilled", this.name = "IconAlertCircleFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--alertCircleFilled"><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219M8 11.5a.875.875 0 1 1 0-1.75.875.875 0 0 1 0 1.75m.464-2.625h-.928l-.481-4.244a3.5 3.5 0 0 1 1.89 0z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  h("icon-alert-circle-filled")
], l);
export {
  l as IconAlertCircleFilled
};
